# Administration Reference

## pts delete

Purpose

Deletes a Protection Database entry

Synopsis

    pts delete -nameorid <user or group name or id>+  [-cell <cell name>]
               [-noauth]  [-force]  [-help]

    pts d -na <user or group name or id>+  [-c <cell name>]  [-no]  [-f]  [-h]

Description

The pts delete command removes each entry specified by the -nameorid argument from the Protection Database. Deleting entries affects other parts of the system in various ways:

- Deleted users and groups still appear on access control lists (ACLs), but are listed by AFS UID or GID rather than by name, because there is no longer an associated name to which to translate the ID. To remove these obsolete entries from ACLs, use the fs cleanacl command.

- Deleting a user or machine's entry removes it from the membership list of any group to which it belonged.

- Deleting a group entry removes it from the membership list of any user or machine entry that belonged to the group, and also increments the group-creation quota of the group's creator by one, even if the creator no longer owns the group.

To remove a user or machine from a group without actually deleting the entry, use the pts removeuser command.

Options

-nameorid
  Specifies the name or AFS UID of each user, the name or AFS GID of each group, or the IP address (complete or wildcard-style) or AFS UID of each machine entry to delete. It is acceptable to mix users, machines, and groups on the same command line, as well as names (IP addresses for machines) and IDs. Precede the GID of each group with a hyphen to indicate that it is negative.

-cell
  Names the cell in which to run the command. For more details, see the introductory pts reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. For more details, see the introductory pts reference page.

-force
  Enables the command to continue executing as far as possible when errors or other problems occur, rather than halting execution at the first error.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following example deletes the user entries pat and terry:

       % pts delete pat terry

The following example deletes the Protection Database entry of the group with AFS GID -215.

       % pts delete -215

Privilege Required

The issuer must belong to the system:administrators group to delete user and machine entries. To delete group entries, the issuer must either own the group or belong to the system:administrators group.

Related Information

fs cleanacl

pts

pts removeuser

© IBM Corporation 2000. All Rights Reserved